# -*- coding: utf-8 -*-
# Generated by Django 1.9.2 on 2016-06-25 16:19
from __future__ import unicode_literals

import datetime
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import volunteers.userian


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('talks', '0007_add_ordering_option'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Edition',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128)),
                ('start_date', models.DateField()),
                ('end_date', models.DateField()),
                ('visible_from', models.DateField()),
                ('visible_until', models.DateField()),
            ],
            options={
                'ordering': ['-start_date'],
                'verbose_name': 'Edition',
                'verbose_name_plural': 'Editions',
            },
        ),
        migrations.CreateModel(
            name='Language',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128)),
                ('iso_code', models.CharField(max_length=2)),
            ],
            options={
                'verbose_name': 'Language',
                'verbose_name_plural': 'Languages',
            },
        ),
        migrations.CreateModel(
            name='Talk',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ext_id', models.CharField(max_length=16)),
                ('title', models.CharField(max_length=256)),
                ('speaker', models.CharField(max_length=128)),
                ('room', models.CharField(default=b'somewhere', max_length=128)),
                ('description', models.TextField()),
                ('date', models.DateField()),
                ('start_time', models.TimeField()),
                ('end_time', models.TimeField()),
                ('meeting', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='talks.Talk')),
            ],
            options={
                'ordering': ['date', 'start_time', '-end_time', 'title'],
                'verbose_name': 'Talk',
                'verbose_name_plural': 'Talks',
            },
        ),
        migrations.CreateModel(
            name='Task',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=300)),
                ('counter', models.CharField(max_length=2)),
                ('room', models.CharField(default=b'somewhere', max_length=128)),
                ('description', models.TextField()),
                ('date', models.DateField()),
                ('start_time', models.TimeField()),
                ('end_time', models.TimeField()),
                ('nbr_volunteers', models.IntegerField(default=0)),
                ('nbr_volunteers_min', models.IntegerField(default=0)),
                ('nbr_volunteers_max', models.IntegerField(default=0)),
                ('talk', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='volunteers.Talk')),
            ],
            options={
                'ordering': ['date', 'start_time', '-end_time', 'name'],
                'verbose_name': 'Task',
                'verbose_name_plural': 'Tasks',
            },
        ),
        migrations.CreateModel(
            name='TaskCategory',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('description', models.TextField()),
                ('active', models.BooleanField(default=True)),
            ],
            options={
                'ordering': ['name'],
                'verbose_name': 'Task Category',
                'verbose_name_plural': 'Task Categories',
            },
        ),
        migrations.CreateModel(
            name='TaskTemplate',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('description', models.TextField()),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='volunteers.TaskCategory')),
            ],
            options={
                'ordering': ['name'],
                'verbose_name': 'Task Template',
                'verbose_name_plural': 'Task Templates',
            },
        ),
        migrations.CreateModel(
            name='Track',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=128)),
                ('description', models.TextField(blank=True, null=True)),
                ('date', models.DateField()),
                ('start_time', models.TimeField()),
                ('edition', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='volunteers.Edition')),
            ],
            options={
                'ordering': ['date', 'start_time', 'title'],
                'verbose_name': 'Track',
                'verbose_name_plural': 'Tracks',
            },
        ),
        migrations.CreateModel(
            name='Volunteer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('mugshot', models.ImageField(blank=True, help_text='A personal image displayed in your profile.', upload_to=volunteers.userian.upload_to_mugshot, verbose_name='mugshot')),
                ('privacy', models.CharField(choices=[(b'open', 'Open'), (b'registered', 'Registered'), (b'closed', 'Closed')], default=b'registered', help_text='Designates who can view your profile.', max_length=15, verbose_name='privacy')),
                ('language', models.CharField(choices=[(b'af', b'Afrikaans'), (b'ar', b'Arabic'), (b'ast', b'Asturian'), (b'az', b'Azerbaijani'), (b'bg', b'Bulgarian'), (b'be', b'Belarusian'), (b'bn', b'Bengali'), (b'br', b'Breton'), (b'bs', b'Bosnian'), (b'ca', b'Catalan'), (b'cs', b'Czech'), (b'cy', b'Welsh'), (b'da', b'Danish'), (b'de', b'German'), (b'el', b'Greek'), (b'en', b'English'), (b'en-au', b'Australian English'), (b'en-gb', b'British English'), (b'eo', b'Esperanto'), (b'es', b'Spanish'), (b'es-ar', b'Argentinian Spanish'), (b'es-co', b'Colombian Spanish'), (b'es-mx', b'Mexican Spanish'), (b'es-ni', b'Nicaraguan Spanish'), (b'es-ve', b'Venezuelan Spanish'), (b'et', b'Estonian'), (b'eu', b'Basque'), (b'fa', b'Persian'), (b'fi', b'Finnish'), (b'fr', b'French'), (b'fy', b'Frisian'), (b'ga', b'Irish'), (b'gd', b'Scottish Gaelic'), (b'gl', b'Galician'), (b'he', b'Hebrew'), (b'hi', b'Hindi'), (b'hr', b'Croatian'), (b'hu', b'Hungarian'), (b'ia', b'Interlingua'), (b'id', b'Indonesian'), (b'io', b'Ido'), (b'is', b'Icelandic'), (b'it', b'Italian'), (b'ja', b'Japanese'), (b'ka', b'Georgian'), (b'kk', b'Kazakh'), (b'km', b'Khmer'), (b'kn', b'Kannada'), (b'ko', b'Korean'), (b'lb', b'Luxembourgish'), (b'lt', b'Lithuanian'), (b'lv', b'Latvian'), (b'mk', b'Macedonian'), (b'ml', b'Malayalam'), (b'mn', b'Mongolian'), (b'mr', b'Marathi'), (b'my', b'Burmese'), (b'nb', b'Norwegian Bokmal'), (b'ne', b'Nepali'), (b'nl', b'Dutch'), (b'nn', b'Norwegian Nynorsk'), (b'os', b'Ossetic'), (b'pa', b'Punjabi'), (b'pl', b'Polish'), (b'pt', b'Portuguese'), (b'pt-br', b'Brazilian Portuguese'), (b'ro', b'Romanian'), (b'ru', b'Russian'), (b'sk', b'Slovak'), (b'sl', b'Slovenian'), (b'sq', b'Albanian'), (b'sr', b'Serbian'), (b'sr-latn', b'Serbian Latin'), (b'sv', b'Swedish'), (b'sw', b'Swahili'), (b'ta', b'Tamil'), (b'te', b'Telugu'), (b'th', b'Thai'), (b'tr', b'Turkish'), (b'tt', b'Tatar'), (b'udm', b'Udmurt'), (b'uk', b'Ukrainian'), (b'ur', b'Urdu'), (b'vi', b'Vietnamese'), (b'zh-hans', b'Simplified Chinese'), (b'zh-hant', b'Traditional Chinese')], default=b'en', help_text='Default language.', max_length=5, verbose_name='language')),
                ('badge_name', models.CharField(default=b'', max_length=32, verbose_name=b'Name')),
                ('nick', models.CharField(default=b'', max_length=16, verbose_name=b'Nick (IRC)')),
                ('contact_email', models.EmailField(default=b'', max_length=75, verbose_name=b'Contact email')),
                ('signed_up', models.DateField(default=datetime.date.today)),
                ('about_me', models.TextField(blank=True, verbose_name='about me')),
                ('mobile_nbr', models.CharField(blank=True, help_text=b"We won't share this, but we need it in case we need to contact you in a pinch during the event.", max_length=30, null=True, verbose_name=b'Mobile Phone')),
                ('private_staff_rating', models.IntegerField(blank=True, choices=[(0, b'No longer welcome'), (1, b'Poor'), (2, b'Not great'), (3, b'Average'), (4, b'Good'), (5, b'Superb')], null=True)),
                ('private_staff_notes', models.TextField(blank=True, null=True)),
            ],
            options={
                'ordering': ['nick', 'badge_name'],
                'verbose_name': 'Volunteer',
                'verbose_name_plural': 'Volunteers',
            },
        ),
        migrations.CreateModel(
            name='VolunteerCategory',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='volunteers.TaskCategory')),
                ('volunteer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='volunteers.Volunteer')),
            ],
            options={
                'verbose_name': 'VolunteerCategory',
                'verbose_name_plural': 'VolunteerCategories',
            },
        ),
        migrations.CreateModel(
            name='VolunteerLanguage',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('language', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='volunteers.Language')),
                ('volunteer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='volunteers.Volunteer')),
            ],
            options={
                'verbose_name': 'VolunteerLanguage',
                'verbose_name_plural': 'VolunteerLanguages',
            },
        ),
        migrations.CreateModel(
            name='VolunteerStatus',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('active', models.BooleanField()),
                ('edition', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='volunteers.Edition')),
                ('volunteer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='volunteers.Volunteer')),
            ],
            options={
                'verbose_name': 'Volunteer Status',
                'verbose_name_plural': 'Volunteer Statuses',
            },
        ),
        migrations.CreateModel(
            name='VolunteerTalk',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('talk', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='volunteers.Talk')),
                ('volunteer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='volunteers.Volunteer')),
            ],
            options={
                'verbose_name': 'VolunteerTalk',
                'verbose_name_plural': 'VolunteerTalks',
            },
        ),
        migrations.CreateModel(
            name='VolunteerTask',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('task', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='volunteers.Task')),
                ('volunteer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='volunteers.Volunteer')),
            ],
            options={
                'verbose_name': 'VolunteerTask',
                'verbose_name_plural': 'VolunteerTasks',
            },
        ),
        migrations.AddField(
            model_name='volunteer',
            name='categories',
            field=models.ManyToManyField(blank=True, help_text=b"<br/><br/>\n        Indicate your preference for which kind of tasks you'd prefer to do.\n        The tasks belonging to this category will appear on top in the Tasks page, so you\n        can find them easily.<br/><br/>\n        Signing up for actual tasks does not happen here; that's done in the Tasks screen!", null=True, through='volunteers.VolunteerCategory', to='volunteers.TaskCategory'),
        ),
        migrations.AddField(
            model_name='volunteer',
            name='editions',
            field=models.ManyToManyField(blank=True, null=True, through='volunteers.VolunteerStatus', to='volunteers.Edition'),
        ),
        migrations.AddField(
            model_name='volunteer',
            name='tasks',
            field=models.ManyToManyField(blank=True, null=True, through='volunteers.VolunteerTask', to='volunteers.Task'),
        ),
        migrations.AddField(
            model_name='volunteer',
            name='user',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='volunteer', to=settings.AUTH_USER_MODEL, verbose_name='user'),
        ),
        migrations.AddField(
            model_name='taskcategory',
            name='volunteers',
            field=models.ManyToManyField(blank=True, null=True, through='volunteers.VolunteerCategory', to='volunteers.Volunteer'),
        ),
        migrations.AddField(
            model_name='task',
            name='template',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='volunteers.TaskTemplate'),
        ),
        migrations.AddField(
            model_name='task',
            name='volunteers',
            field=models.ManyToManyField(blank=True, null=True, through='volunteers.VolunteerTask', to='volunteers.Volunteer'),
        ),
        migrations.AddField(
            model_name='talk',
            name='track',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='volunteers.Track'),
        ),
        migrations.AddField(
            model_name='talk',
            name='volunteers',
            field=models.ManyToManyField(blank=True, null=True, through='volunteers.VolunteerTalk', to='volunteers.Volunteer'),
        ),
    ]
